Package net.shibboleth.idp.plugin

# Class PropertyDrivenIdPPlugin

java.lang.Object
net.shibboleth.profile.plugin.AbstractPlugin<T>
net.shibboleth.profile.plugin.PropertyDrivenPlugin<IdPModule>
net.shibboleth.idp.plugin.PropertyDrivenIdPPlugin

All Implemented Interfaces:
  `IdPPlugin`, `Plugin<IdPModule>`

Direct Known Subclasses:
  `FirstPartyIdPPlugin`

public abstract class PropertyDrivenIdPPlugin extends PropertyDrivenPlugin<IdPModule> implements IdPPlugin
Implementation of `IdPPlugin` relying on Java `Properties`.

Since:
  4.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.profile.plugin.Plugin

`Plugin.Package`

## Field Summary

### Fields inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`DEFAULT_RESOURCE, PLUGIN_ID_PROPERTY, PLUGIN_LICENSE_PROPERTY, PLUGIN_MODULE_URL_PROPERTY, PLUGIN_PACKAGE_DESTNATION_PROPERTY, PLUGIN_PACKAGE_NONWINDOWS_PROPERTY, PLUGIN_PACKAGE_PROPERTY, PLUGIN_PACKAGE_SOURCE_PROPERTY, PLUGIN_PACKAGE_STRIP_TLD_PROPERTY, PLUGIN_PACKAGE_WINDOWS_PROPERTY, PLUGIN_REQ_MODULES_PROPERTY, PLUGIN_URL_PROPERTY, PLUGIN_VERSION_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`PropertyDrivenIdPPlugin(InputStream inputStream)`
Constructor.
`PropertyDrivenIdPPlugin(Class<? extends IdPPlugin> claz)`
Constructor.
`PropertyDrivenIdPPlugin(Properties properties)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`getDefaultModuleInfoSources, getDefaultUpdateURLs, getLicenseFileLocation, getMajorVersion, getMinorVersion, getModuleInfoSources, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs, load`

### Methods inherited from class net.shibboleth.profile.plugin.AbstractPlugin

`equals, getDisableOnRemoval, getEnableOnInstall, getPackages, hashCode, setDisableOnRemoval, setEnableOnInstall, setPackages, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.profile.plugin.Plugin

`getDisableOnRemoval, getEnableOnInstall, getLicenseFileLocation, getMajorVersion, getMinorVersion, getModuleInfoSources, getPackages, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs`

## Constructor Details

### PropertyDrivenIdPPlugin

public PropertyDrivenIdPPlugin(@Nonnull Class<? extends IdPPlugin> claz) throws IOException, PluginException
Constructor.

Parameters:
  `claz` - type of object used to locate default module.properties resource
Throws:
  `IOException` - if unable to read file
  `PluginException` - if the plugin is not in a valid state

### PropertyDrivenIdPPlugin

public PropertyDrivenIdPPlugin(@Nonnull InputStream inputStream) throws IOException, PluginException
Constructor.

Parameters:
  `inputStream` - property stream
Throws:
  `IOException` - if unable to read file
  `PluginException` - if the plugin is not in a valid state

### PropertyDrivenIdPPlugin

public PropertyDrivenIdPPlugin(@Nonnull Properties properties) throws PluginException
Constructor.

Parameters:
  `properties` - property set
Throws:
  `PluginException` - if the plugin is not in a valid state